One-queue.sh code exit with 1 & error on line 307

Dear All,

After fixing the error of NGServer, I am getting the following error. Looks like it is final error to run job using VFLP. If you guys fix this error.please let me know.
Looks like all queues exited with error 1

I attached out-file as google drive link for the more information.
Error line number for error :71797

https://drive.google.com/open?id=1JqXL37RHekAPui8QwfRWLMix1Xm5BMWj

NGServer 0.9.1 started on 127.0.0.1, port 42129.
Job step 1 is starting queue 1-1-1 on host compt104.
Error was trapped
Error in bash script one-step.sh
Error on line 307
Environment variables

++ hostname
Job step 1 is starting queue 1-1-5 on host compt118.

  • echo ‘Job step 1 is starting queue 1-1-5 on host compt118.’
  • ‘[’ all_uncompressed == all_uncompressed ‘]’
  • pids[$(( i - 1 ))]=5302
  • source …/workflow/job-files/sub/one-queue.sh
  • exit_code=0
  • for pid in ‘${pids[@]}’
  • wait 5259
  • let exit_code=1
  • for pid in ‘${pids[@]}’
  • wait 5263
  • let exit_code=1
  • for pid in ‘${pids[@]}’
  • wait 5271
  • let exit_code=1
  • for pid in ‘${pids[@]}’
  • wait 5296
  • let exit_code=1
  • for pid in ‘${pids[@]}’
  • wait 5302
  • let exit_code=1
  • ‘[’ 1 == 1 ‘]’
  • error_response_std 307
  • echo ‘Error was trapped’
    Error was trapped
    ++ basename /home/srp106/software/VFLP-develop/tools/…/workflow/job-files/sub/one-step.sh
  • echo ‘Error in bash script one-step.sh’
    Error in bash script one-step.sh
  • echo ‘Error on line 307’
    Error on line 307
  • echo ‘Environment variables’

Hello all,

I’m having a similar error and can’t seem to get past it. Does anyone have any suggestions?

To get to this point I had to make a lot of path changes for external programs in the one-step.sh file, which I didn’t think that I would have to do as I thought that the paths were relative? I also followed the postings from VFLP fails when attempting to fill queue, thanks Julian and Vas, and have gotten to the exact same error in the workflow/output-file/job/file.out.

If we scroll down further in the error message, at least in my case, we find this error as well.

=/usr/bin/env
++ seq 1 1
+ for i in '$(seq 1 ${VF_QUEUES_PER_STEP})'
+ VF_QUEUE_NO_3=1
+ VF_QUEUE_NO=1-1-1
+ cp '/gpfs/alpine/proj-shared/syb105/Personal/bkirt/testScratch/VFLP/amosbk/VFLP/t/1-1/1-1-1/workflow/output-files/queues/1/1/queue-1-1-1.*' ../workflow/output-files/queues/1/1/
+ true
+ [[ fail == \i\g\n\o\r\e ]]
+ [[ fail == \n\e\x\t\_\j\o\b ]]
+ [[ fail == \f\a\i\l ]]
+ echo -e '\n * Trying to stop this queue and causing the jobline to fail...' * Trying to stop this queue and causing the jobline to fail...
+ exit 1
+ clean_up
++ seq 1 1
+ for i in '$(seq 1 ${VF_QUEUES_PER_STEP})'
+ VF_QUEUE_NO_3=1
+ VF_QUEUE_NO=1-1-1
+ cp '/gpfs/alpine/proj-shared/syb105/Personal/bkirt/testScratch/VFLP/amosbk/VFLP/t/1-1/1-1-1/workflow/output-files/queues/1/1/queue-1-1-1.*' ../workflow/output-files/queues/1/1/
cp: cannot stat '/gpfs/alpine/proj-shared/syb105/Personal/bkirt/testScratch/VFLP/amosbk/VFLP/t/1-1/1-1-1/workflow/output-files/queues/1/1/queue-1-1-1.*': No such file or directory
+ true

It is not able to copy what it needs because there is no directory to do so from.

Any information/pointers would be useful : ). Hopefully, all is correct up to this point in my attempt.

Cheerfully,
Kirtley